Publications
Submit a proposed publication schedule for human approval
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthpublicationId*stringLength
1 <= length- body
expectedDraftRevision*integerRange
1 <= valueproposedScheduledAt*integerRange
0 <= valueResponse for status 201
application/json- response
request*curl -X POST 'https://postbot.example/api/projects/string/publications/string/approval-request' \
-H 'Content-Type: application/json' \
-d '{
"expectedDraftRevision": 1,
"proposedScheduledAt": 0
}'Example Response
{
"request": {
"id": "string",
"projectId": "string",
"publicationId": "string",
"targetRevisionId": "string",
"draftRevision": -9007199254740991,
"proposedScheduledAt": -9007199254740991,
"state": "pending",
"requestedByActorId": "string",
"decidedByActorId": "string",
"decidedAt": -9007199254740991,
"scheduledAt": -9007199254740991,
"rejectionReason": "string",
"createdAt": -9007199254740991,
"updatedAt": -9007199254740991
}
}